import { SoloLogger } from './logging.js';
export declare class Zippy {
    private readonly logger?;
    constructor(logger?: SoloLogger);
    /**
     * Zip a file or directory
     * @param srcPath - path to a file or directory
     * @param destPath - path to the output zip file
     * @param [verbose] - if true, log the progress
     * @returns path to the output zip file
     */
    zip(srcPath: string, destPath: string, verbose?: boolean): Promise<string>;
    unzip(srcPath: string, destPath: string, verbose?: boolean): string;
    tar(srcPath: string, destPath: string): string;
    untar(srcPath: string, destPath: string): string;
}
